PRO MOD_TRACK,flcnt,lu1,n
;...This module computes track related quantities for use by other modules.
compile_opt hidden
on_error,1
quiet=check_math(0,1)

;... read trackfile
openr,lu,'trackfile',/get_lun
string=''
readf,lu,string
zhour=-1 & zmin=-1 & elon=sqrt(-1) & nlat=sqrt(-1)
cpr=sqrt(-1) & rmx=sqrt(-1) & hdb=sqrt(-1) & lsflg=-1 & ctg=-1

; my stuff here
restore,'colors1.idl'
tvlct,red,green,blue

fmt='(i1,2x,a4,2x,a4,2x,a2,1x,a2,4x,f7.4,1x,f7.4,1x,f6.2,3x,f5.2,2x,f4.2,2x,i1)'
;
while not eof(lu) do begin
readf,lu,ctgz,z,z,hrz,minz,nlz,wlz,cpz,rmz,bpz,lsz
print,ctgz,z,z,hrz,minz,nlz,wlz,cpz,rmz,bpz,lsz
zhour=[zhour,fix(hrz)] & zmin=[zmin,fix(minz)]
nlat=[nlat,nlz] & elon=[elon,-wlz] & cpr=[cpr,cpz] & ctg=[ctg,fix(ctgz)]
rmx=[rmx,round(rmz)] & hdb=[hdb,bpz] & lsflg=[lsflg,fix(lsz)] &$
endwhile & close,lu & free_lun,lu

;...trim initial markers
zhour=zhour(1:*) & zmin=zmin(1:*)
nlat=nlat(1:*) & elon=elon(1:*) & cpr=cpr(1:*) & cpr=cpr < 1011.
rmx=rmx(1:*)  & hdb=hdb(1:*)
lsflg=lsflg(1:*) & ctg=ctg(1:*)

; here we plot the track
;
;set_plot,'ps',/copy
;device,/close

;device,xsize=20,ysize=20,xoffset=1,yoffset=3,/portrait,filename='m1.ps'
;nlad=28.45  & ndgb=4.5 & elod=-80.85 & ndgl=4.5  &  ndgr=4.5   & ndgt=4.5
;map_set,/isotropic,limit=[nlad-ndgb,elod-ndgl,nlad+ndgt,elod+ndgr],/noborder,xmargin=[3,3],ymargin=[3,3]
;map_continents,/hires,/coasts,mlinethick=3
;!x.style=1 & !y.style=1
;!x.range=[elod-ndgl,elod+ndgr] & !y.range=[nlad-ndgb,nlad+ndgt]
;axis,xaxis=0 & axis,yaxis=0 & axis,xaxis=1,xtitle=ttl & axis,yaxis=1
;oplot,[elod-ndgl,elod+ndgr],[nlad,nlad],linestyle=2
;oplot,[elod,elod],[nlad-ndgb,nlad+ndgt],linestyle=2
;ttl='test'
;oplot,elon,nlat,color=flcnt*15,thick=flcnt,linestyle=flcnt
;oplot,elon,nlat,color=flcnt*5,thick=6,linestyle=flcnt
oplot,elon,nlat,color=40+(17*flcnt mod 140),thick=6,linestyle=(flcnt mod 5)
;xyouts,-91.5,24.9-(0.3*flcnt),'-test-',font=0
xyouts,-90.0,27.9-(0.3*flcnt),string,font=0
;oplot,[-94.0,-92.0],[25-(0.3*flcnt),25-(0.3*flcnt)],linestyle=flcnt,thick=flcnt,color=flcnt*15
oplot,[-92.0,-90.0],[28-(0.3*flcnt),28-(0.3*flcnt)],linestyle=(flcnt mod 5),thick=6,color=40+(17*flcnt mod 140)
xyouts,-79.9,28.9,'REGION D',font=0
oplot,[-80.5,-78.0],[28.45,28.45],thick=3
xyouts,-79.9,25.9,'REGION C',font=0
xyouts,-85.5,28.9,'REGION A',font=0
oplot,[-82.8,-85.0],[28.17,28.17],thick=3
xyouts,-85.5,25.9,'REGION B',font=0
oplot,[-81.46,-79.0],[30.71,30.71],thick=3
xyouts,-79.5,31.9,'REGION E',font=0
oplot,[-87.55,-87.55],[29.00,30.27],thick=3
xyouts,-89.5,28.5,'REGION F',font=0
oplot,[-80.85,-80.85],[24.00,25.17],thick=4
;oplot,elon,nlat,color=35
;device,/close
;

;
hour=['00']
min='00'
year='2006'
date='1212'
;
a0=0.0225
a1=0.00167
ucpr=fltarr(n)
;for i=0,13 do print,ucpr(i)
flcnt=flcnt+1
; here we write the trackfile
print,'***********flcnt is*********',flcnt
;openw,lu1,'in_trackfile'+strcompress(flcnt,/REMOVE_ALL)+'.dat',/get_lun
;openw,lu1,'in_file.dat',/get_lun
printf,lu1,'   15'
printf,lu1,string
for i=0,n-2 do printf,lu1,format=fmt,ctg(i),year,date,hour,min,nlat(i),-1*elon(i),cpr(i),rmx(i),hdb(i),lsflg(i)
;close,lu1 & free_lun,lu1

;save,cpr,elon,lsflg,nlat,zhour,zmin,rmx,hdb,ctg,filename='track.idl'
END ;MOD_TRACK.PRO
