;CYGNSS is a NASA Earth Venture mission, managed by the Earth System Science Pathfinder Program. The mission consists of a constellation of eight small satellites. The eight observatories comprise a constellation that measures the ocean surface wind field with very high temporal resolution and spatial coverage, under all precipitating conditions, and over the full dynamic range of wind speeds experienced in a tropical cyclone. The CYGNSS observatories fly in 510 km circular orbits at a common inclination of 35Â°. Each observatory includes a Delay Doppler Mapping Instrument (DDMI) consisting of a modified GPS receiver capable of measuring surface scattering, a low gain zenith antenna for measurement of the direct GPS signal, and two high gain nadir antennas for measurement of the weaker scattered signal. Each DDMI is capable of measuring 4 simultaneous bi-static reflections, resulting in a total of 32 wind measurements per second by the full constellation.
;Time coverage resolution: P0DT0H0M1S
;time_coverage_start 2017-11-06T00:00:00.999199089Z
;time_coverage_end   2017-11-06T23:59:59.999261665Z
;yslf_les_wind_speed      
;yslf_les_wind_speed_uncertainty 
;yslf_nbrcs_wind_speed    
;yslf_nbrcs_wind_speed_uncertainty 
;yslf_sample_flags        
;The average surface wind speed of the 25 x 25 km cell centered on lat and lon derived from both the NBRCS and the LES observables, m/s. Multiple DDMs are utilized to derive wind_speed. The number of utilized DDMs ranges from 1 to 5.
;
;... read the enkf.dat file
hr=sqrt(-1.) & e1wnd=sqrt(-1.) & e1prs=sqrt(-1.)
e2wnd=sqrt(-1.) & e2prs=sqrt(-1.)
lat1=sqrt(-1.) & lon1=sqrt(-1.)
lat2=sqrt(-1.) & lon2=sqrt(-1.)
openr,lu,'exp_0606_diff.txt_full',/get_lun
while not eof(lu) do begin $
readf,lu,c4,d5,e6,f7,g8  &$
print,d5,e6 &$
hr=[hr,c4] & e1wnd=[e1wnd,d5] & e1prs=[e1prs,e6] & lat1=[lat1,f7] & lon1=[lon1,g8]    &endwhile
close,lu & free_lun,lu
 lat1=lat1(1:*) & lon1=lon1(1:*) & e1wnd=e1wnd(1:*) & e1prs=e1prs(1:*)
;----
openr,lu,'exp_0612_diff.txt',/get_lun
while not eof(lu) do begin $
readf,lu,c4,d5,e6,f7,g8  &$
print,d5,e6 &$
hr=[hr,c4] & e1wnd=[e1wnd,d5] & e1prs=[e1prs,e6] & lat2=[lat2,f7] & lon2=[lon2,g8]    &endwhile
close,lu & free_lun,lu
 lat2=lat2(1:*) & lon2=lon2(1:*) & e1wnd=e1wnd(1:*) & e1prs=e1prs(1:*)
;----
lat3=sqrt(-1.) & lon3=sqrt(-1.)
lat4=sqrt(-1.) & lon4=sqrt(-1.)
openr,lu,'cntrl_0606_diff.txt_full',/get_lun
while not eof(lu) do begin $
readf,lu,c4,d5,e6,f7,g8  &$
print,d5,e6 &$
hr=[hr,c4] & e2wnd=[e2wnd,d5] & e2prs=[e2prs,e6] & lat3=[lat3,f7] & lon3=[lon3,g8]    &endwhile
close,lu & free_lun,lu
lat3=lat3(1:*) & lon3=lon3(1:*) & e2wnd=e2wnd(1:*) & e2prs=e2prs(1:*)
;----
openr,lu,'cntrl_0612_diff.txt',/get_lun
while not eof(lu) do begin $
readf,lu,c4,d5,e6,f7,g8  &$
print,d5,e6 &$
hr=[hr,c4] & e1wnd=[e1wnd,d5] & e1prs=[e1prs,e6] & lat4=[lat4,f7] & lon4=[lon4,g8]    &endwhile
close,lu & free_lun,lu
 lat4=lat4(1:*) & lon4=lon4(1:*) & e1wnd=e1wnd(1:*) & e1prs=e1prs(1:*)
;----
openr,lu1,'0606bst.txt',/get_lun
;... resd best track
bhr=' ' & bmxwnd=sqrt(-1.) & bprs=sqrt(-1.)
blat=' ' & blon=' '
while not eof(lu1) do begin $
readf,lu1,c4,d5,e6,f7,g8  &$
print,c4,d5,e6 &$
bhr=[bhr,c4] & blat=[blat,d5] & blon=[blon,e6] & bmxwnd=[bmxwnd,f7] & bprs=[bprs,g8]   &endwhile
close,lu1 & free_lun,lu1
 blat=blat(1:*)*.1 & blon=blon(1:*)*.1 & bmxwnd=bmxwnd(1:*) & bprs=bprs(1:*)

;-------OPTION 3 USE LOADCT -----
DEVICE, DECOMPOSED=0
loadct,26

cyan=47 & lt_brown=100 & magenta=155 & lt_blue=63
;-----------------------------------------
lats = [14,16,18,20,21,22,23,24,25,26,27,28,29,30] & lons=[ -97,-96,-95,-94,-93,-92,-91,-90,-89,-88,-87,-86,-85,-84,-83,-82]
set_plot,'ps'
device,xsize=40,ysize=40,xoffset=1,yoffset=1,/portrait,/color,filename='test.ps'
map_set,/isotropic,limit=[18.0,-98.0,26.0,-82.0],latdel=1,londel=2,xmargin=[3,3],ymargin=[3,3],/GRID,/CONTINENT,TITLE = 'Katia 06 06 & 12Z'
MAP_GRID, /LABEL,LATS=lats,LONS=lons, LATDEL=1, LONDEL=2
;------------------------------option3---------------------------------
oplot,360-lon1,lat1,LINESTYLE = 0,thick=13,color=36 ;violet
oplot,360-lon2,lat2,LINESTYLE = 5,thick=13,color=38 ;turquois
oplot,360-lon3,lat3,LINESTYLE = 0,thick=13,color=136 ;violet
oplot,360-lon4,lat4,LINESTYLE = 5,thick=13,color=138 ;turquois
oplot,360-blon,blat,LINESTYLE = 0,thick=13 ;default
;-------------------------------------------------------------------
;...label
xyouts,-85.8,24,'CNTRL 24 00Z',font=5
oplot,[-88,-86],[24,24],linestyle=0,thick=13,color=36
xyouts,-85.8,24.3,'CNTRL 24 06Z',font=5
oplot,[-88,-86],[24.3,24.3],linestyle=5,thick=13,color=38
xyouts,-85.8,24.6,'CNTRL+CYG 24 00Z',font=5
oplot,[-88,-86],[24.6,24.6],linestyle=0,thick=13,color=136
xyouts,-85.8,24.9,'CNTRL+CYG 24 06Z',font=5
oplot,[-88,-86],[24.9,24.9],linestyle=5,thick=13,color=138
xyouts,-85.8,25.2,'BEST TRACK',font=5
oplot,[-88,-86],[25.2,25.2],linestyle=0,thick=13
;
;map_continents,/hires,/coasts,mlinethick=4
MAP_CONTINENTS, /hires,/FILL_CONTINENTS, COLOR=2
; Overplot coastline data:
MAP_CONTINENTS,/hires,/COASTS, COLOR=1
; Add rivers, in light blue:
MAP_CONTINENTS,/hires, /RIVERS, COLOR=93
; Show national borders:
MAP_CONTINENTS,/hires, /COUNTRIES, COLOR=red, MLINETHICK=2
device,/close
;...check indices
;*********************************************************
;*********************************************************

;...done checking
save,/all,filename='var.idl'
exit
;-----------colorbar stuff here-----------
;w = WINDOW(DIMENSIONS=[400,600])
;cb = COLORBAR(POSITION=[0.05,0.65,0.7,0.7],RGB_TABLE=72, RANGE=[500,1000])
;cb = COLORBAR(POSITION=[0.05,0.65,0.7,0.7],RGB_TABLE=26, RANGE=[500,1000])
;--------------------------------------------------------------
